Contents

CSVed 1.4.3

Contents

Introduction
Important information
How To Use
Start
Save Selection As
Column Editing
Column Order
Column Adding
Command Line
Separator
Filter
Proper Strings
Repair CSV file
Remove Blank Lines

CSV File Format
Append and Merge Files
Import Files
Using the keyboard
Addresses
Disclaimer, Distribution, License and Feedback
History

CSVed Sam Francke 2007


Introduction

Introduction

With CSVed you can manipulate any CSV file, delimited with any separator.
The contents of the CSV file is visible in a listview.
You can edit, add, insert, delete and move the items in the listview.
Besides it's easy to delete and add columns and you can rearrange the column order.
A comprehensive 'save selection as ..' gives you the possibility to create new CSV files.
Search and replace is also available.
In other words, you can almost do everything with a CSV file you want.

CSVed is cardware, send me a postcard of your town when you like this program,
for my post address see: Addresses.

Important Information

As described CSVed is a CSV file editor.
The program expects a file without errors, that means every row must have an equal number of fields.
See how the program handles errors when displaying the data.
Most actions like 'Join Columns' and so on, need a correct file. If your file is not correct an error message appears and advises you to run [File][Check CSV File] and if positive run [Edit][Repair CSV File].

Portable Mode: (new in version 1.4)
It's possible to set CSVed in Portable mode, that means that all settings and so on are written to the program folder.
If the PM is not set then CSVed writes the data to the common data folder:
C:\Documents and Settings\user\Application Data or something like that.
Older versions of CSVed wrote the data to the Windows Registry.

Version 1.4 cannot read the registry values and all your settings are lost.

History
Augustus 13 2007 version1.4.3;
added: detect separator automaticly;
repaired: append and merge menu items;
added: create more then one backup of the same file;
repaired: empty filter;

January 20 2007 version 1.4.2
aangepaste functie voor entiteiten wel of niet vertalen
encoding in options toe te voegen

January 15 2007 version 1.4.1
added: better save for error file

September 16 2006 version 1.4
improved: cell edit;
added: increment in add column;
added: portable mode;
added:template in import fixed file;

May 2006 version 1.3.11
some small changes;

April 2006 version 1.3.10
added: sorting not case sensitivity;
added: cell edit;
improved: goto line;

January 26 2006 version 1.3.9
changed: Error trapping system;

December 21 2005 version 1.3.8
Added: Save duplicates in file;

December 6 2005 version 1.3.7
Added: tracking set in add edit form;
Added: DQ inempty cells (toggle);

October 26 2005 version 1.3.5
Changed: max rows in edit form is 10 now;
Added: update filter list bij delete item;
Added: replace empty cell with underscore in XML export

September 2005 version 1.3.4
Added: keep column in 'listview-search';
Added: change date format;
Added: split from end at pos;
Added: select extension to set as program extension;
at append the new file set, making bigger/smaller;

April 23 2005 version 1.3.3
access violation ImportForm removed;
new MRU component introduced;
delete one or more columns at a time;

April 1 2005 version 1.3.2
Added: remove letters at begin / end field;
Added: add leading zeros;
Added: split CSV file at a column;
Added: move column by column number;

December 16 2004: version 1.3.1
Added: AnsiCompareStr iso CompareStr;
Added: Position and size Add Edit window;
Layout Options Window changed;
Repaired some small things;

September 17 2004: version 1.3.0
Repair/Check CSV file button in buttonbar
Better error trapping with 'corrupted' files;
Added global sort;
Column sort A .. Z en Z .. A;
Open CSV file in error form;

September 5 2004: version 1.2.2
Esc stops many time consuming tasks now;
Enter activates record editor;
Column search improved;

September 3 2004: version 1.2.1
removed: popup error message at corrupted line;

September 2 2004: version 1.2.0
added: report errors;
repaired: small bug in Export XML;
added: run XML file in associated program;
repaired: sort on column;

July 28 2004: version 1.1.1
repaired: Undo after Column Sort;

July 25 2004: version 1.1.0
repaired: export Excel input set to text;
don't save duplicates;
added: copy column;

April 14 2004: version 1.0.0
birth of CSVed;


How to Use

How To Us

[Save Selection As]
[Column Editing]
[Column Order]
[Column Adding]
[Command Line]
[Separator]
[Filter]
[Proper Strings]
[Repair CSV File]
[Remove Blank Lines]
[Sort your File]

Start:
There are four ways to open a CSV file:
1. Select a separator, set start row and open a CSV file via the menu [File][Open ...], see AD 1;
1b. Enable 'Select separator automaticly' on the toolbar. If no success, disable the function and try to set the separator manually;
2. Use the import function found in menu [File][Import ...];
3. Double click a csv file, if the separator is not correct, select the correct one and press the button Refresh. Before you can use this way you have to register the csv extension to CSVed, click the menu [Options][Options] select the tab: file extension.
4. Drag and drop a CSV file from the Explorer to the opened program or drop it on the CSVed shortcut on the Desktop, if the separator is not correct see 3.

[AD 1] Start with opening a CSV file, in the first place select a separator for your file.
The next step set the Start Row, the default value is one, but if you want to skip the first two rows, set the value to three.
Example file with two rows to hide:
Hide this row in CSVed
and this row also
"Philips ""Holland""","20,90","-10,45"
"""AksoNobel ""Sweden"" Europe""","50,00","+5,90"
"""Unicore"" NoWhere","9,75","+1,25"
"Heineken ""Bier"" Amsterdam","56,90","+8,00"

If you forget to set the start row, you get only one column in this case, (see image on the right), don't close or save the file, but change the amount of rows and you'll see the file in the proper way.

Set keep Value at Loading File if you want the same start row at every file load.

If you want title captions, enable 'use as column captions' for the column headers. When loading a CSV file, CSVed checks the count of columns, the first row of the CSV file sets the count of columns.

When loading a CSV file, CSVed counts the number of columns.
It uses the first row of the file to set the column count.
If any row has too few columns, some blank columns will be appended.
If any row has too many columns, some right-hand ones will be ignored.

Manipulate your file as you like to do. In the menu [File] you can find the items:
[Save] and [Save as ...] to save your changes.

Top

Save Selection As ...
See the TAB save.
There are four ways to save a selection:
1 selected rows, check the check box 'use selected rows' and select some rows of course;
2 selected columns, check the check box 'use selected columns' and check the columns you to save in the list box;
3 a combination of the two above;
4 filtered items, see TAB Misc.

If necessary select another separator.

Top

Column Editing
It's possible to change the whole contents of column, select the column to edit and fill out the edit box with the new value. A blank edit box clears the column contents.
If you have selected some rows and the check box is checked, only the selected rows in the selected column are changed.

Top

Column Order
If you have changed the column order by dragging a column header to a new position, use the button 'set col order', to save the new order. The new order is only saved to the listview and the file is not saved to disk.
Don't use another separator.

Top

Column Adding
It's possible, when adding a new column, to fill the new column with a new value, fill out the edit box with the value you want.

Top

Command Line
Starting from command or with batch file use the following syntax:

[CSVed program file][space]["data file"]
C:\Program Files\CSVed.exe "c:\Program Files\data\mydata.csv"

When CSVed is running you can drag and drop csv files on CSVed to open them. Only files with the extension .csv are recognized.

Top

Separator
Another separator can only be used with the menu items: 'save file' and 'save files as..'.
Clicking with the right button of your mouse, enables a popup menu.

Top

Filter
Found on the Tab Misc.
Filter in Global Mode, works through the entire file (all columns).
In Exact Mode Filter searches in every column for a match.
It's possible to reverse the selection and delete the filtered items, or to save them to a new csv file.

Top

Proper Strings
Found on the Tab modify 3.
Upper and Lower case needs no explanation, I think.
With 'capitalize sentences' the first letter of the content of a cell is capitalized, the ranges a..z and A..Z are effected, also á and Á, ü and Ü etc.
With 'capitalize words' you can effect every word behind the characters found in 'set of char'.
The standard 'set of char' is space and double quote. You can expand or create new ones, if you want. The characters in 'set of char' are not separated.

Top

Repair CSV File
Found in the menu [Edit][repair csv file].
Does the same as 'check csv file', on the menu [Files][check csv file], but also adds empty items or removes superfluous items.
The first line is used as a template for the rest of the file.

See also Important Information.

REMARK:
Because CSVed is running in virtual mode it repairs only the rows visible in the listview!
Rows with fewer items than the first row are repaired by adding separators. Blank lines are repaired by adding separators.
Rows with more items than the first row are not changed or repaired.

Top

Remove Blank Lines
Found in the menu [Edit][remove blank lines].
A blank line contains nothing at all.
A line with 10 separators is NOT a blank line, it contains 10 empty items.
A line with just spaces is NOT a blank line, but a row with one column.

Top

Sort your File
You can sort your CSV file in two ways:

1: By clicking the column header, don't forget to enable column sorting, see Options;
2: See [Edit][Global Sort] for a global sort of your file, is much faster then Column Sort;

The first click produces a descending sort and the second click a ascending one.

Top


CSV file format

CSV File Format

In computers, a CSV (comma-separated values) file contains the values in a table as a series of ASCII text lines organized so that each column value is separated by a comma from the next column's value and each row starts a new line.
Remark:
Embedded line-feeds (\n, 0x0A, 0x0D 0x0A) or other embedded escape codes are not recognized by CSVed.

Here's an example:
Jansen,Jan,944-7077
Gerritsen,Marie,370-3920
Smit,Abigail,299-3958
(etc.)
In this example is a semi colon used as separator:
Philips;20,90;-10,45
AksoNobel;50,00;+5,90
Unicore;9,75;+1,25

If a coma is used as separator then the data with the comma is placed between double quotes:
Philips,"20,90","-10,45"
AksoNobel,"50,00","+5,90"
Unicore,"9,75","+1,25"

The last example shows data embedded with double quotes:
"Philips ""Holland""","20,90","-10,45"
"""AksoNobel ""Sweden"" Europe""","50,00","+5,90"
"""Unicore"" NoWhere","9,75","+1,25"
"Heineken ""Bier"" Amsterdam","56,90","+8,00"

A CSV file is a way to collect the data from any table so that it can be conveyed as input to another table-oriented application such as a application. Microsoft Excel, Quattro Pro, OpenOffice or a relational database application, can read CSV files. A CSV file is sometimes referred to as a flat file.
A flat file is a file containing records that have no structured interrelationship. The term is frequently used to describe a textual document from which all word processing or other structure characters or mark up have been removed.

Something about Double Quotes
Activate menu [Options][Options][double quotes] to see this nice adjustment window.

If Save CSV File with ... is checked, you can surround the delimited items with double quotes, there is no check on " and separators within the item.
So use it with care.


Append and merge Files

Append and Merge Files

Append
It is possible to append a new file to the end of an opened file.
The number of rows in the file is thereby increased. If the appended file has more columns then the open file, they are not displayed and are lost when saving the new file.
To prevent this:
Load the second file (with the larger number of columns)
Append the first file (with the smaller number of columns)
Run 'Repair CSV File'.

With the options Skip First Line etc you can omit the first line and more lines as specified at Start Row.
Merge
The merged file is juxtaposed to the open file.
The count of the number of columns thereby increases.

There is no attention for headers and so on in the files which are combined.


Keyboard

Using the keyboard

[Delete] -> deletes selected item(s)
[Insert] -> inserts a new item at the cursor position
[Page Up] -> scrolls a page up in the listview
[Page Down] -> scrolls a page down in the listview
[Home] -> selects the first row
[End] -> selects the last row

[Esc] -> stops most processes
[Enter] -> activates record editor with selected record

Selects all the items from the selected one to ...
[Ctrl][Shift][Home] -> the top of the listview
[Ctrl][Shift][End] -> the end of the listview
[Ctrl][Shift][Page Up] -> the first one visible in the listview
[Ctrl][Shift][Page Down] -> the last one visible in the listview

[Shift][Mouse Left Click] -> selects from selected to the clicked item
[Ctrl][Mouse Left Click] -> selects/unselects the clicked item in a selected range;


Addresses

Addresses

Sam Francke
mailto:s.j.francke@hccnet.nl
home page: http://home.hccnet.nl/s.j.francke/t2t/text2table.htm

address for postcard:
Sam Francke
Arendlaan 41
3853 SB Ermelo
The Netherlands


Disclaimer

Disclaimer, License, Distribution, and Feedback

DISCLAIMER
CSVed IS "AS IS" AND WITHOUT ANY WARRANTY AS TO MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE OR ANY OTHER WARRANTIES EITHER EXPRESSED OR IMPLIED. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.
LICENSE
CSVed is free software. This License grants you to use this software free of charge for as long as you wish. You may not use, copy, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program except as provided in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license.
All rights not expressly granted here are reserved to Sam Francke.
DISTRIBUTION
You may COPY the original version of CSVed and documentation as you wish, and give exact copies of the original version to anyone. You may NOT distribute the original version of CSVed and documentation via electronic means, WITHOUT the author's permission.
This means that the original archive remains intact with all accompanying files. You are not ALLOWED to charge or request donations for any such copies however made and from distributing the software and/or documentation with other products without the author's permission.
FEEDBACK
Please send any bug reports to the author at the above email address.
All feedback is welcome.


Import Files

Import Files ...